#! /bin/bash

set -e

# System dependencies required by FairSoft
FAIRSOFT_DEPS="autoconf automake binutils \
	bison build-essential bzip2 ca-certificates coreutils \
	curl debianutils file findutils flex g++ gcc gfortran git gzip \
	hostname libbz2-dev libcurl4-openssl-dev libgsl-dev libicu-dev \
	libfftw3-dev \
	libgl1-mesa-dev libglu1-mesa-dev libgrpc++-dev \
	libncurses-dev libreadline-dev libsqlite3-dev libssl-dev libtool \
	libx11-dev libxerces-c-dev libxext-dev libxft-dev \
	libxml2-dev libxmu-dev libxpm-dev libyaml-cpp-dev lsb-release make patch cmake \
	python3-dev protobuf-compiler-grpc rsync sed subversion tar unzip wget xutils-dev xz-utils"

# Additional system dependencies required by CBMROOT
CBMROOT_DEPS="libtbb-dev sqlite3 libsqlite3-dev libgsl-dev"

# Additional packages (mostly for debugging)
ADDITIONAL_DEPS="gdb-minimal valgrind vim-tiny"

export DEBIAN_FRONTEND=noninteractive
apt-get update
apt-get -y upgrade
apt-get -y install --no-install-recommends $FAIRSOFT_DEPS $CBMROOT_DEPS $ADDITIONAL_DEPS

apt-get -y clean
rm -rf /var/lib/apt/lists/*
