#! /bin/bash

set -e

# Runtime dependencies of CbmRoot (online only)
CBMROOT_DEPS="libstdc++6 libgomp1 libc6 libgcc-s1 libtbb12"

# Runtime dependencies of ROCm
ROCM_DEPS="libnuma1 libdrm2 libdrm-amdgpu1"

# Additional packages (mostly for debugging)
ADDITIONAL_DEPS="gdb-minimal valgrind vim-tiny"

export DEBIAN_FRONTEND=noninteractive
apt-get update
apt-get -y upgrade
apt-get -y install --no-install-recommends $CBMROOT_DEPS $ROCM_DEPS $ADDITIONAL_DEPS

apt-get -y clean
rm -rf /var/lib/apt/lists/*
